{ config, lib, pkgs, ... }: {
  virtualisation = {
    podman = {
      enable = true;
      dockerCompat = true;
    };
  };

  environment.systemPackages = with pkgs; [
    # Nicely Make and Run Container Sets
    podman-compose
    # For Running Simulations Containerized
    apptainer
  ];
}
