{ config, lib, pkgs, ... }: {
  virtualization = {
    podman = {
      enable = true;
    };
    dockerCompat = true;
  };

  environment.systemPackages = with pkgs; [
    # Nicely Make and Run Container Sets
    podman-compose
    # For Running Simulations Containerized
    apptainer
  ];
}
